cycleRdata {cycleRtools} | R Documentation

## cycleRdata class

### Description

A class for imported ride files intended to ease integration with package functionality. Produced by invoking `read_ride` (or equivalent) with the argument `format = TRUE`. Fundamentally, `cycleRdata` objects are a special type of `data.frame`; special in the sense that column names are predefined and assumed to be present in the class' associated methods. Modification of these column names will lead to errors. See below for a description of the format.

### Usage

    is.cycleRdata(x)

    as.cycleRdata(x)

### Arguments

`x` | an object to be tested/coerced.

### Format

The columns of cycleRdata objects are structured as such:

timer.s

  an ongoing timer (seconds). Stoppages are not recorded per se, but rather represented as breaks in the continuity of the timer.

timer.min

  as above, but in units of minutes.

timestamp

  "POSIXct" values, describing the actual time of day.

delta.t

  delta time values (seconds).

lat

  latitude values (degrees).

lng

  longitude values (degrees).

distance.km

  cumulative distance (kilometres).

speed.kmh

  speed in kilometres per hour.

elevation.m

  altitude in metres.

delta.elev

  delta elevation (metres).

VAM

  "vertical ascent metres per second".

power.W

  power readings (Watts).

power.smooth.W

  an exponentially-weighted 25-second moving average of power values.

work.kJ

  cumulative work (kilojoules).

Wexp.kJ

  W' expended in units of kilojoules. See `?Wbal` and references therein.

cadence.rpm

  pedalling cadence (revolutions per minute).

hr.bpm

  Heart rate (beats per minute).

lap

  a numeric vector of lap "levels". Will only have values > 1 if lap data is available.

[Package cycleRtools version 1.1.1 Index]